aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorMika Havela <mhavela@seits03.(none)>2010-11-26 11:54:48 +0100
committerMika Havela <mhavela@seits03.(none)>2010-11-26 11:54:48 +0100
commit24869fdaadb5aaefbf4f9e79e3ae05c9b89bab73 (patch)
treedb51db9676bf774916bbae5f67c5e6335de6367b /main
parenta9f58718932a40f5081c9da77248108de7dba1d5 (diff)
downloadaports-24869fdaadb5aaefbf4f9e79e3ae05c9b89bab73.tar.bz2
aports-24869fdaadb5aaefbf4f9e79e3ae05c9b89bab73.tar.xz
testing/perl-date-format: Moved to main
Used together with swatch. Confirmed that it works.
Diffstat (limited to 'main')
-rw-r--r--main/perl-date-format/APKBUILD36
1 files changed, 36 insertions, 0 deletions
diff --git a/main/perl-date-format/APKBUILD b/main/perl-date-format/APKBUILD
new file mode 100644
index 0000000000..6615a97fbc
--- /dev/null
+++ b/main/perl-date-format/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Mika Havela <mika.havela@gmail.com>
+# Maintainer: Mika Havela <mika.havela@gmail.com>
+pkgname=perl-date-format
+_realname=TimeDate
+pkgver=1.20
+pkgrel=0
+pkgdesc="Perl - Date formating subroutines"
+url="http://search.cpan.org/~gbarr/$_realname-$pkgver/"
+license="Artistic GPL"
+depends="perl"
+makedepends="perl-dev"
+install=
+#subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/G/GB/GBARR/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_realname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+ make test || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+ # creates file collision among perl modules
+ find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="7da7452bce4c684e4238e6d09b390200 TimeDate-1.20.tar.gz"